#include "xaudioseektable.h"

XAudioSeekTable::XAudioSeekTable()
    : XAsset()
    , mSize(0)
    , mData()
{

}

XAudioSeekTable::~XAudioSeekTable()
{

}

void XAudioSeekTable::ParseData(QDataStream *aStream)
{
    qint32 dataPtr;
    *aStream
        >> mSize
        >> dataPtr;

    if (dataPtr)
    {
        aStream->readRawData(mData.data(), 4 * mSize);
    }
}

void XAudioSeekTable::Clear()
{
    mSize = 0;
    mData.clear();
}
